﻿using System;
using System.ComponentModel.DataAnnotations;

namespace HyperCube.Models
{
    public class ArticleModel
    {
        public string Filename { get; set; }
        [Required]        
        public string Name { get; set; }        
        [Required]
        public DateTime PublishDate { get; set; } = DateTime.Now;
        [Required]
        public string Authors { get; set; }
        [Required]
        public string Keywords { get; set; }
        [Required]
        public string Annotation { get; set; }
        public string Text { get; set; }
    }
}
